      SUBROUTINE REHELP(ITTY)
C     RENBR(REHLP4/VAX11 TYPE INSTRUCTIONS)
C
C     DONALD BARTH, HARVARD BUSINESS SCHOOL
C
      WRITE(ITTY,1)
    1 FORMAT(42H This program renumbers and/or lists FORTR,
     139HAN programs.  Commands  typed  by  user/7H consis,
     249Ht  of  specification  of  output  renumbered  fil,
     325He and/or specification of/20H output listing file,
     449H, then = and list of input files using 80 charact,
     512Hers or  less/33H per  line.   & or , must termina,
     648Hte line if next line continues command.  Command/
     749H can be read from file if specification of file i,
     832Hs typed with @.  Filetypes .FOR,)
      WRITE(ITTY,2)
    2 FORMAT(42H .LPT,  .FOR  and  .RNB  are defaults for ,
     139Hrenumbering, listing, input and command/7H files.,
     249H  File specifications  can  include  node,  devic,
     325He,  directory,  filename,/20H filetype  and  vers,
     449Hion.   If  2  output  specifications  are given, ,
     512Hcomma should/33H separate these and switch with a,
     648Ht least 1 must imply use.   Switches  have  form/
     749H /letter:number:number  where  numbers  are optio,
     832Hnal.  Title for each page can be)
      WRITE(ITTY,3)
    3 FORMAT(42H specified between apostrophes and implies,
     139H that associated  specification  is  of/7H listin,
     27Hg file.//35H Following switches are recognized.//
     349H A followed by number of spaces to add left of st,
     432Hatements in IF THEN block or  in/3X,10HDO loop.  ,
     522H/A or /A:0 equals /A:1/23H B followed by smallest,
     638H statement number in renumbered output/8H C colum,
     749Hn formatted renumbered output with statement numb,
     824Hers ending in column  5./3X,18HStatement text wil,
     919Hl start in column 7)
      WRITE(ITTY,4)
    4 FORMAT(42H E followed by number of extra tables of c,
     132Hontents.  /E or /E:0 equals /E:1/13H F listing de,
     249Hvice has form feed.  Pages in listing  will  be  ,
     319Hseparated  by  form/3X,23Hfeeds  if  output  is  ,
     449Hto  LPT  device.  /F can be followed by number of,
     56H lines/3X,37Hprintable per page.  /F or /F:0 equal,
     67Hs /F:60/39H G followed by number of blank lines to,
     742H be listed between FORTRAN statements.  No/3X,1He,
     849Hxtra blank lines are listed between comment lines,
     925H.  /G or /G:0 equals /G:1)
      WRITE(ITTY,5)
    5 FORMAT(42H I followed  by  increment  between  state,
     139Hment  numbers  in  renumbered   output./3X,4HNega,
     249Htive  increment,  such as specified by /I:-1, giv,
     325Hes smallest number at end/3X,17Hof program.  Smal,
     449Hlest number will be absolute value  of  increment,
     512H  unless  /B/3X,30Hspecifies non-zero smallest nu,
     629Hmber.  /I or /I:0 equals /I:1/16H J followed by n,
     749Humber of blank lines to be at top of 1st, at bott,
     816Hom  of  2nd  and)
      WRITE(ITTY,6)
    6 FORMAT(3X,39Htop of 3rd pages, etc.  This can be fol,
     139Hlowed by number of blank lines to be at/3X,4Hbott,
     249Hom of 1st, at top of 2nd and bottom of 3rd pages,,
     325H etc.  These blank  lines/3X,17Hare  inserted  to,
     449H  allow  top  binding  of  unburst  fanfold paper,
     512H and must be/3X,30Hincluded in printing line limi,
     623Ht specified by /F or /L/22H K long lines are to b,
     724He kept intact in listing/21H L pages in listing w,
     849Hill be separated by counted line feeds.  /L can b,
     911He  followed)
      WRITE(ITTY,7)
    7 FORMAT(3X,39Hby  number  of lines printable per page,
     139H.  This can be followed by total number/3X,4Hof l,
     249Hines per page.  /S:0 is assumed if /S has not alr,
     325Heady been  selected.   /L/3X,17Hor /L:0 equals /L,
     46H:60:66/40H M if issued not followed by a number, o,
     541Hld statement numbers are maintained.   If/3X,2HM ,
     649H is  followed  by  2  numbers,  then  these are l,
     727Howest and highest statement/3X,15Hnumbers to be m,
     87Hodified/39H P followed by first page number in lis,
     929Hting.  /P or /P:0 equals /P:1)
      WRITE(ITTY,8)
    8 FORMAT(42H S followed by number of characters printa,
     139Hble beyond normal right margin.  Excess/3X,4Hchar,
     249Hacters  are  right  justified  on  following  lin,
     325He.   /S  or /S:0 gives 70/3X,17Hcharacter lines. ,
     416H /S:13 equals /K/29H T tab formatted renumbered o,
     549Hutput.  Tab character will precede statement text/
     649H U column formatted renumbered output with statem,
     732Hent numbers starting  in  column/3X,10H1.  Statem,
     831Hent text will start in column 7/14H V listing is ,
     929Hto be viewed on this terminal)
      WRITE(ITTY,9)
    9 FORMAT(42H W followed by width of tab stop columns t,
     139Ho  be  used  when  converting  tabs  to/3X,4Hspac,
     249Hes  in  comment  lines.   Tabs  in  comment  line,
     325Hs  are  not  converted in/3X,17Hrenumbered output,
     444H unless /W is typed.  /W or /W:0 equals /W:8//1H ,
     549HListing file is identified by /E, /F, /G, /J, /K,,
     631H /L, /P, /S, /V or '.   Default/14H options  are ,
     749H initial  page  number  1,  form  feeds,  intact ,
     818Hlong lines, single/27H spacing, and 1 table of co,
     97Hntents./)
      WRITE(ITTY,10)
   10 FORMAT(42H Renumbered output is identified by /B, /C,
     139H, /I, /M, /T or  /U.   Default  options/7H are sm,
     249Hallest statement number 1, increment 1 and column,
     38H format./)
      RETURN
      END
 

